"use strict";
const Rx = require("rxjs/Rx");
const stream = require("stream");
/**
 * Transform the output of an Observable into a node readable stream.
 */
function rxToStream(src, encoding = 'utf8') {
    const trigger = new Rx.Subject();
    const readable = new stream.Readable({
        read: () => {
            trigger.next();
        },
    });
    trigger
        .zip(src, (_, src) => src)
        .subscribe(
    // send the data and signal we can use more data.
    data => readable.push(data, encoding) ? trigger.next() : null, 
    // Close on error or complete.
    () => readable.push(null), () => readable.push(null));
    return readable;
}
exports.rxToStream = rxToStream;
//# sourceMappingURL=rxToStream.js.map